View Issue Details

IDProjectCategoryView StatusLast Update
0004455FreeCADFeaturepublic2020-10-15 06:11
ReporterZeropoint Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOS7 
Product Version0.19 
Fixed in Version0.19 
Summary0004455: spacemouse 3d mouse mapping axis to different axis
DescriptionOn windows you can edit the spacemouse driver and remap axis so that up-down is zoom in/out, not move object up/down.

Two issues
FreeCad does not seem to use the 3dconnexion driver. Remapping the axis on 3dconnexion software has no effect on freecad.

FreeCad does not appear to have a config file to allow remapping movement axis. axis are hard coded in FreeCad/src/Gui/GuiApplicationNativeEventAware.cpp
Steps To Reproduceplug in space mouse. Try to zoom with an up-down motion.
Tags#pending-forum, 3dconnexion
FreeCAD InformationOS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.22492 (Git)
Build type: Release
Branch: master
Hash: 621e1d603b2a8d1bcdcd8dc5c34bc8c35d29feb2
Python version: 3.8.5
Qt version: 5.12.6
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United States (en_US)

Activities

openBrain

2020-10-09 21:04

developer   ~0014803

@Zeropoint : please read the the documentation about SpaceMouse. If you can't get there what you need, please address your issue according our reporting guidelines by opening a new topic on our forum. Thx

Zeropoint

2020-10-13 02:19

reporter   ~0014839

Last edited: 2020-10-13 02:20

View 2 revisions

https://forum.freecadweb.org/viewtopic.php?f=3&t=51023

Zeropoint

2020-10-13 02:20

reporter   ~0014840

Last edited: 2020-10-13 02:22

View 2 revisions

https://github.com/FreeCAD/FreeCAD/commit/e3c30e7481a73c2e0869a432b0a5305b5c137e97

Add "Remapping" with a value of the order for spacemouse axis original order 012345, i.e. can be changed to 210345

<FCInt Name="Remapping" Value="210345"/>
In user.cfg file.

Kunda1

2020-10-14 13:02

administrator   ~0014850

wmayer made FreeCAD master e3c30e74

Kunda1

2020-10-14 13:03

administrator   ~0014851

@Zeropoint can this ticket be closed then ?

Zeropoint

2020-10-14 23:54

reporter   ~0014855

Ticket is good to close. I compiled and tested, works as expected. Thanks!!
I don't see a close item on my controls. @Kunda1

Related Changesets

FreeCAD: master e3c30e74

2020-10-12 12:11:53

wmayer

Details Diff
Gui: [skip ci] support to remap motion data array of space mouse Affected Issues
0004455
mod - src/Gui/GuiApplicationNativeEventAware.cpp Diff File

Issue History

Date Modified Username Field Change
2020-10-09 17:08 Zeropoint New Issue
2020-10-09 21:04 openBrain Note Added: 0014803
2020-10-09 21:04 openBrain Tag Attached: #post-to-forum
2020-10-09 21:04 openBrain Status new => feedback
2020-10-13 02:19 Zeropoint Note Added: 0014839
2020-10-13 02:19 Zeropoint Status feedback => new
2020-10-13 02:20 Zeropoint Note Edited: 0014839 View Revisions
2020-10-13 02:20 Zeropoint Note Added: 0014840
2020-10-13 02:22 Zeropoint Note Edited: 0014840 View Revisions
2020-10-13 03:20 Kunda1 Tag Attached: 3dconnexion
2020-10-13 03:20 Kunda1 Tag Detached: #post-to-forum
2020-10-13 03:20 Kunda1 Tag Attached: #pending-forum
2020-10-14 13:02 Kunda1 Note Added: 0014850
2020-10-14 13:03 Kunda1 Changeset attached => FreeCAD master e3c30e74
2020-10-14 13:03 Kunda1 Note Added: 0014851
2020-10-14 13:04 Kunda1 Assigned To => wmayer
2020-10-14 13:04 Kunda1 Status new => assigned
2020-10-14 23:54 Zeropoint Note Added: 0014855
2020-10-15 06:11 wmayer Status assigned => closed
2020-10-15 06:11 wmayer Resolution open => fixed
2020-10-15 06:11 wmayer Fixed in Version => 0.19